% V 28.mar.2021 Marco
% V0.82 (Baseada na V0.8 (Paulo) e V0.81 (Marco)
% Padrao dos slides do curso de Algebra Linear

% Other possible values are: 1610, 149, 54, 43 and 32.
% By default, it is to 128mm by 96mm(4:3).
\documentclass[aspectratio=169]{beamer} % Aspect Ratio de widescreen

% Se quiser gerar handouts:
%\documentclass[a4paper,handout]{beamer}
%\usepackage{pgfpages}
%\pgfpagesuselayout{2 on 1}[a4paper, border shrink=5mm]
%\pgfpagesuselayout{8 on 1}[a4paper, border shrink=5mm]
%\pgfpagesuselayout{4 on 1}[a4paper, landscape, border shrink=5mm]
%\pgfpagesuselayout{2 on 1}[a4paper,border shrink=5mm]


% Preciso para fazer tabelas coloridas
\usepackage{colortbl}
\definecolor{WarmBeige}{rgb}{0.8118, 0.7255, 0.5922}
% OffWhite Dark e Light (usando Dark)
\definecolor{OffWhiteDark}{rgb}{0.87, 0.87, 0.71}  % 1 off white escuro
\definecolor{OffWhiteLight}{rgb}{0.95, 0.94, 0.85} %2 offwhite claro

\usepackage{ifthen}
\usepackage{bm}  % Defines bold math comand \bm

\mode<presentation>
{
   \usetheme{Madrid} % 2016 Gostei do formato e cor
   \setbeamercolor{background canvas}{bg=OffWhiteDark} % Cor do fundo da tela
   \setbeamersize{text margin left=1.0cm}  % Margem esquerda
   \setbeamersize{text margin right=1.0cm} % Margem direita
  %\usetheme[width=1.0cm]{Berkeley}

%\usetheme{Boadilla}
%   \usetheme{boxes} % Muito simples, quase igual ao Pittsburgh
%   \usetheme{Pittsburgh} % Muito simples
%   \usecolortheme{crane}
%   \usetheme{AnnArbor}
%   \usecolortheme{seahorse}
%   \usetheme{Berkeley}
%   \usetheme{Warsaw}
%   \setbeamercovered{transparent}
%   \usecolortheme{beetle}
}

\usepackage[brazil]{babel}
% or whatever

\usepackage[utf8]{inputenc}
% or whatever

\usepackage{times}
\usepackage[T1]{fontenc}
% Or whatever. Note that the encoding and the font should match. If T1
% does not look nice, try deleting the line with the fontenc.

% Set page numbers on slide.
    \setbeamertemplate{footline}[frame number]
    \addtobeamertemplate{footline}
        {\color[rgb]{0.35,0.35,0.35}\quad%\hfill % Cinza mais escuro
	\versao\hfill
	Livro Curso de Álgebra Linear \quad
         Profs.\ Marco Cabral \& Paulo Goldfeld \hfill
         ~~ DMA\,/\,IM\,/\,UFRJ }
        {}
    \setbeamertemplate{navigation symbols}{}

%\title[Alg Lin II - UFRJ] % (optional, use only with long paper titles)
%{Algebra Linear}

%\subtitle
%{Presentation Subtitle} % (optional)

\author[] % (optional, use only with lots of authors)
{Paulo \and Marco}
% - Use the \inst{?} command only if the authors have different
%   affiliation.

\institute[UFRJ] % (optional, but mostly needed)
{
  Departamento de Matemática Aplicada \\
  Universidade Federal do Rio de Janeiro
}

\date[Short Occasion] % (optional)
{Date / Occasion}

\subject{Aula}
% This is only inserted into the PDF information catalog. Can be left
% out.

% If you have a file called "university-logo-filename.xxx", where xxx
% is a graphic format that can be processed by latex or pdflatex,
% resp., then you can add a logo as follows:

%\pgfdeclareimage[height=1.8cm]{university-logo}{minerva}
%\logo{\pgfuseimage{university-logo}}

% Delete this, if you do not want the table of contents to pop up at
% the beginning of each subsection:
%\AtBeginSubsection[]
%{
%  \begin{frame}<beamer>{Resumo}
%    \tableofcontents[currentsection,currentsubsection]
%  \end{frame}
%}

% If you wish to uncover everything in a step-wise fashion, uncomment
% the following command:
%\beamerdefaultoverlayspecification{<+->}

%\begin{frame}
%  \frametitle{There Is No Largest Prime Number}
%  \framesubtitle{The proof uses \textit{reductio ad absurdum}.}
% \end{frame}


%\rowcolors[]{1}{blue!20}{blue!10}
%\begin{tabular}{l!{\vrule}cccc}
%  Class & A & B & C & D \\\hline
%  X     & 1 & 2 & 3 & 4 \pause\\
%  Y     & 3 & 4 & 5 & 6 \pause\\
%  Z     &5&6&7&8
%\end{tabular}


%\rowcolors[]{1}{blue!20}{blue!10}
%\begin{tabular}{l!{\vrule}c<{\onslide<2->}c<{\onslide<3->}c<{\onslide<4->}c<{\onslide}c}
%  Class & A & B & C & D \\
%  X     & 1 & 2 & 3 & 4 \\
%  Y     & 3 & 4 & 5 & 6 \\
%  Z     &5&6&7&8
%\end{tabular}

%\begin{frame}{Outline}
%  \tableofcontents
  % You might wish to add the option [pausesections]
%\end{frame}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Chama notacao utilizada no curso
\input{../notacao-geral.tex}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
\newtheorem{teorema}{Teorema}
\newtheorem{corolario}{Corolário}
\newtheorem{lema}{Lema}
\newtheorem{prova}{Prova}
\newtheorem{exemplo}{Exemplo}
\newtheorem{exemplos}{Exemplos}
\newtheorem{contraex}{Contra-Exemplo}
\newtheorem{contraexs}{Contra-Exemplos}
\newtheorem{definicao}{Definição}
\newtheorem{observacao}{Observação}


%\newcommand{\titulo}[1]{\centerline{\bf\Large #1}\par\bigskip}
%\newcommand{\secao}[1]{\subsection{#1}}
%\newcommand{\subsecao}[1]{\subsubsection{#1}}

\newcommand{\duascolunas}[4]{
\begin{columns}
   \column{#1\textwidth} #3
   \column{#2\textwidth} #4
\end{columns}
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% New commands for slides
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\OK}{\scalebox{2}{$\checkmark$}}
\newcommand{\NOTOK}{\scalebox{2}{$\times$}}
\newcommand{\eiro}{\textordmasculine}
\newcommand{\eira}{\textordfeminine}
%\newcommand{\eira}{\text{\textordfeminine}}
